ARG PHP_BASE_IMAGE
# hadolint ignore=DL3006
FROM $PHP_BASE_IMAGE

USER root

RUN install-php-extensions xdebug

# install Tesseract OCR with language pack
# hadolint ignore=DL3008
RUN apt-get update -yqq && apt-get -f install -yyq --no-install-recommends \
    tesseract-ocr \
    tesseract-ocr-ces \
    libtesseract-dev \
    poppler-utils \
    # Unoconv install
    wget 'https://raw.githubusercontent.com/dagwieers/unoconv/master/unoconv' \
    && sed -i '1d' unoconv \
    && sed -i '1 i\#!/usr/bin/env python3 ' unoconv \
    && mv unoconv /usr/bin/unoconv \
    && chmod ugo+x /usr/bin/unoconv \
    && apt-get clean && \
       rm -rf /var/lib/apt/lists/* \
          /tmp/* \
          /var/tmp/* \
          /var/log/lastlog \
          /var/log/faillog \
    # It is needed for unoconv dconf
    && mkdir /var/www && chown -R www-data /var/www

USER www-data
